public class Factorial {
	public static int factIt (int n) {
		int f = 1;
		
		for (int i=n; i>1; i--)
			f *= i;
		
		return f;
	}
	
	public static int factRec (int n) {
		if (n==0 || n==1)
			return 1;
		return n*factRec(n-1);
	}
}
